## trnascan-se 1.3.1

=== Makefile ===
# Makefile for tRNAscan-SE 
# TML, Feb 11, 1996
#
 
COV_RELEASE    = "2.4.4"
EUFIND_RELEASE = "1.1"
SE_RELEASE = "1.3.1"
RELEASEDATE= "January 2012"
RFLAGS     = -DRELEASE=$(COV_RELEASE) -DRELEASEDATE=$(RELEASEDATE)

## Note: if you want to use the -i option, use "make no-ambig"
## This compiles versions of the pre-scanners that skip over N's,
## greatly speeding scans of unfinished sequence

## where Perl v.5 (or greater) is installed
PERLDIR = /usr/bin

## what you call the Perl v.5 executable on your system
## (this could be 'perl5' or otherwise on some systems)
PERLBIN = perl

## where you want things installed
BINDIR  = $(HOME)/bin
LIBDIR  = $(HOME)/lib/tRNAscan-SE
MANDIR  = $(HOME)/man

## NOTE !!  If you later manually move the location of 
## binaries or data files in the BINDIR or LIBDIR directories,
## you need to delete the tRNAscan-SE executable, update those
## locations in this Makefile, and re-make tRNAscan-SE 

## where you want temporary files stored
TEMPDIR = /tmp

## your compiler
CC = gcc	  # GNU cc (if available) otherwise use vendor's cc

## any special compiler flags you want
CFLAGS = -O    # ok for most machines (remove -O for DEC OSF/1 cc compiler)

## machine specific definitions
#  You shouldn't need any. The specific #define's in squid are historical.
#  However, if you do run into compilation trouble, you might need:
# -DNO_STRDUP    no strdup() function (lots of BSDish Unix)
# -DNOSTR        no strstr() function (rarer)
# 
MDEFS =

## how to install the man pages 
## either cp -- to copy unformatted man page
## or a script with identical syntax to cp, to format & install formatted page
INSTMAN   = cp
# INSTMAN   = instman
MANSUFFIX = 1

#######
## should not need to modify below this line
#######

SHELL  = /bin/sh
LIBS   = -lm
.SUFFIXES : .c .o

DOCS = README MANUAL INSTALL COPYING GNULICENSE FILES Release.history

MANSRC= tRNAscan-SE.man

PROGS = trnascan-1.4 covels-SE coves-SE eufindtRNA
UTILS = reformat revcomp seqstat shuffle
SCRIPTS = fasta2gsi.pl sstofa.pl checkversion.pl instman.pl

TSCAN13 = trnascan.c TPCsignal Dsignal

EUFIND = eufind_const.h eufind_main.c pavesi.c

SQUID-UTILS = seqstat_main.c reformat_main.c\
	      shuffle_main.c revcomp_main.c getopt.c

COVE_SUITE = covea coveb covee covet covels coves structcheck


MAIN =  align_main.c build_main.c emit_main.c learnprior_main.c train_main.c \
	scan_main.c score_main.c structcheck_main.c 

SQUIDSRC = alignio.c sqerror.c sqio.c iupac.c msf.c revcomp.c\
	selex.c sre_ctype.c sre_math.c sre_string.c stack.c types.c\
	gnuregex.c interleaved.c getopt.c

SQUIDOBJ = alignio.o sqerror.o sqio.o iupac.o msf.o revcomp.o\
	selex.o sre_ctype.o sre_math.o sre_string.o stack.o types.o\
	gnuregex.o interleaved.o getopt.o

SQUIDHDRS = squid.h sqfuncs.h gnuregex.h

SRC =   align.c dbviterbi.c debug.c emit.c fast-dbviterbi.c fastmodelmaker.c\
	konings.c lengthdist.c maxmodelmaker.c\
	misc.c model.c modelmaking.c prior.c probify.c save.c smallviterbi.c\
	scorestack.c structs.c trace.c viterbi.c $(SQUIDSRC)

MPSRC = mpviterbi.m mp-dbviterbi.m

OBJ =   align.o dbviterbi.o debug.o emit.o fast-dbviterbi.o fastmodelmaker.o\
	konings.o lengthdist.o maxmodelmaker.o\
	misc.o model.o modelmaking.o prior.o probify.o save.o smallviterbi.o\
	scorestack.o structs.o trace.o viterbi.o $(SQUIDOBJ)

MPOBJ = mpviterbi.o mp-dbviterbi.o

all: 	$(PROGS) tRNAscan-SE setpaths

covels-SE:  $(OBJ) scan_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o covels-SE scan_main.o $(OBJ) $(LIBS)

coves-SE: $(OBJ) score_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o coves-SE score_main.o $(OBJ) $(LIBS)

eufindtRNA: $(SQUIDOBJ) pavesi.o eufind_main.o
	$(CC) $(CFLAGS)  -o eufindtRNA eufind_main.o \
	pavesi.o $(SQUIDOBJ) $(LIBS)

trnascan-1.4: trnascan.o
	$(CC) $(CFLAGS) -DTSCANDIR=\"$(LIBDIR)\" -o trnascan-1.4 trnascan.c

tRNAscan-SE:
	$(PERLDIR)/$(PERLBIN) checkversion.pl
	sed 's#/tmp#$(TEMPDIR)#g' tRNAscan-SE.src | \
	sed 's#bindir = ""#bindir =\"$(BINDIR)/"#g' | \
	sed 's#/usr/local/lib/tRNAscanSE#$(LIBDIR)#g' | \
	sed 's#version = ""#version = $(SE_RELEASE)#' | \
	sed 's#release_date = ""#release_date = $(RELEASEDATE)#' | \
	sed 's#/usr/bin/perl#$(PERLDIR)/$(PERLBIN)#' > tRNAscan-SE
	sed 's#/usr/bin/perl#$(PERLDIR)/$(PERLBIN)#' instman.pl > instman 
	sed 's#/usr/bin/perl#$(PERLDIR)/$(PERLBIN)#' sstofa.pl > sstofa 
	@chmod +x tRNAscan-SE
	@chmod +x instman
	@echo ""
	@echo "tRNAscan-SE built"
	@echo ""
	@echo ""

setpaths:
	@echo 'setenv PATH "$$PATH"":""$(BINDIR)"' > setup.tRNAscan-SE
	@echo 'setenv PERL5LIB "$$PERL5LIB"":""$(BINDIR)"' >> setup.tRNAscan-SE
	@echo 'setenv MANPATH "$$MANPATH"":""$(MANDIR)"' >> setup.tRNAscan-SE
	@echo ""
	@echo "The file \"setup.tRNAscan-SE\" has been created."
	@echo "If you type \"source setup.tRNAscan-SE; rehash\", the paths"
	@echo "in your environment will be updated for this session."
	@echo ""
	@echo "To update your environment upon every login, you should"
	@echo "add the line:"
	@echo ""
	@echo "source $(PWD)/setup.tRNAscan-SE"
	@echo ""
	@echo "to your \".cshrc\" file."
	@echo ""
	@echo "If you prefer to manually update your environment variables,"
	@echo "be sure to make the following changes:"
	@echo ""
	@echo "1) Add $(BINDIR) to your PATH variable"
	@echo "2) Add $(BINDIR) to your PERl5LIB variable"
	@echo "3) Add $(MANDIR) to your MANPATH variable"
	@echo ""

install: $(PROGS) tRNAscanSE
	@if test -d $(BINDIR); then echo .; else mkdir -p $(BINDIR); fi
	@if test -d $(LIBDIR); then echo .; else mkdir -p $(LIBDIR); fi
	@if test -d $(TEMPDIR); then echo .; else mkdir -p $(TEMPDIR); fi
	@if test -d $(MANDIR)/man$(MANSUFFIX); then echo .; else mkdir -p $(MANDIR)/man$(MANSUFFIX); fi
	cp $(PROGS) tRNAscan-SE $(BINDIR)/.
	cp -R tRNAscanSE $(BINDIR)/
	cp TPCsignal Dsignal *.cm gcode.* $(LIBDIR)/.
	@if test -r trnascan-1.4-NA; then cp trnascan-1.4-NA $(BINDIR)/.; fi
	@if test -r eufindtRNA-NA; then cp eufindtRNA-NA $(BINDIR)/.; fi
	@if test -r mpcovels; then cp mpcovels $(BINDIR)/.; fi
	$(INSTMAN) $(MANSRC) $(MANDIR)/man$(MANSUFFIX)/tRNAscan-SE.$(MANSUFFIX) 

testrun:
	@echo ""
	@echo "Running tRNAscan-SE on sample sequence F22B2.fa"
	@echo ""
	@rm -f testrun.out
	@echo "tRNAscan-SE -d -y -o testrun.out Demo/F22B7.fa"
	@if tRNAscan-SE -d -y -o testrun.out Demo/F22B7.fa; \
	then echo ""; \
	else echo "tRNAscan-SE did NOT complete properly."; fi
	@if diff testrun.out testrun.ref; \
	then echo ""; cat testrun.out; \
	echo ""; echo ""; \
	echo "tRNAscan-SE up and running correctly!"; 	echo "";  \
	else echo "Test run result file differs from reference result file!";\
	echo "tRNAscan-SE may not have executed correctly."; echo ""; \
	echo "Please double check for correct compilation & installation"; \
	echo " and try 'make testrun' again."; 	echo ""; fi

# compiles versions of pre-scanners that do not conservatively
#  call tRNAs with ambiguous bases
#  Not really needed since Oct. 2000 modification to tRNAscan-SE (v 1.21)

noambig: trnascan-1.4-NA eufindtRNA-NA

trnascan-1.4-NA:  trnascan.o
	$(CC) $(CFLAGS) -DNO_AMBIG -DTSCANDIR=\"$(LIBDIR)\" -o trnascan-1.4-NA trnascan.c

eufindtRNA-NA: $(SQUIDOBJ) eufind_main.o
	$(CC) $(CFLAGS) -DNO_AMBIG -c -o pavesi-NA.o pavesi.c 
	$(CC) $(CFLAGS) -o eufindtRNA-NA eufind_main.o \
	pavesi-NA.o $(SQUIDOBJ) $(LIBS)	


clean:
	-rm -f *.o *~ Makefile.bak core testrun.out \
	$(PROGS) $(UTILS) $(COVE_SUITE) mpcovels tRNAscan-SE instman

uninstall:
	(cd $(BINDIR); rm -f $(PROGS) $(UTILS))
	(cd $(LIBDIR); rm -f TPCsignal Dsignal *.cm gcode.*)
	rmdir -ps $(LIBDIR)
	rm -f $(MANDIR)/man$(MANSUFFIX)/tRNAscan-SE.$(MANSUFFIX)
	rmdir -ps $(MANDIR)

.c.o:
	$(CC) $(CFLAGS) $(MDEFS) -c $<		

## programs from Sean Eddy's sequence i/o function library not
## needed for tRNAscan-SE but included for their utility

utils: $(UTILS)

install-utils:  $(UTILS)
	@if test -d $(BINDIR); then echo .; else mkdir -p $(BINDIR); fi
	sed 's#/usr/bin/perl#$(PERLDIR)/$(PERLBIN)#' fasta2gsi.pl > fasta2gsi
	cp $(UTILS) $(BINDIR)/.

reformat: $(SQUIDOBJ) reformat_main.o
	$(CC) $(CFLAGS) $(MDEFS) -o reformat $(SQUIDOBJ) reformat_main.o $(LIBS)

revcomp: $(SQUIDOBJ) revcomp_main.o
	$(CC) $(CFLAGS) $(MDEFS) -o revcomp $(SQUIDOBJ) revcomp_main.o $(LIBS)

seqstat: $(SQUIDOBJ) seqstat_main.o
	$(CC) $(CFLAGS) $(MDEFS) -o seqstat $(SQUIDOBJ) seqstat_main.o $(LIBS)

shuffle: $(SQUIDOBJ) shuffle_main.o
	$(CC) $(CFLAGS) $(MDEFS) -o shuffle $(SQUIDOBJ) shuffle_main.o $(LIBS)

## other programs in Cove package (below) not needed for
## tRNAscan-SE, but are included for users who wish to apply
## them for other RNA prediction work

all-cove: $(COVE_SUITE)

install-cove:  $(COVE_SUITE)
	@if test -d $(BINDIR); then echo .; else mkdir -p $(BINDIR); fi
	cp $(COVE_SUITE) $(BINDIR)/.

covea: $(OBJ) align_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o covea align_main.o $(OBJ) $(LIBS)

coveb: $(OBJ) build_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o coveb build_main.o $(OBJ) $(LIBS)

covee: $(OBJ) emit_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o covee emit_main.o $(OBJ) $(LIBS)

covet: $(OBJ) train_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o covet train_main.o $(OBJ) $(LIBS)

covels:  $(OBJ) scan_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o covels scan_main.o $(OBJ) $(LIBS)

coves: $(OBJ) score_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o coves score_main.o $(OBJ) $(LIBS)

structcheck: $(OBJ) structcheck_main.o
	$(CC) $(CFLAGS) $(RFLAGS) -o structcheck structcheck_main.o $(OBJ) $(LIBS)


## Maspar memory limits
#  do "mpctl" to see the system defaults for CMEM (ACU) and
#  PMEM (DPU) memory. The make will do an "mplimit" to reset
#  resources according to what you give for CMEM and PMEM needs.
#  
CMEM = 480K
PMEM = 63K

## Maspar version of covels
## need to set constants in "maspar.h" for your
##  maspar machine size (i.e. 128x128, 64x64, ...)

mpcovels: $(OBJ) $(MPOBJ) mpcovels_main.o
	mpl_cc $(RFLAGS) -o mpcovels mpcovels_main.o $(MPOBJ) $(OBJ) $(LIBS)
	mplimit mpcovels cmem $(CMEM) pmem $(PMEM)

=== debian/changelog ===
trnascan-se (1.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #803542)

 -- Afif Elghraoui <afif@debian.org>  Tue, 13 Dec 2016 23:35:18 -0800

=== debian/control ===
Source: trnascan-se
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
Vcs-Git: https://anonscm.debian.org/git/debian-med/trnascan-se.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trnascan-se.git

Package: trnascan-se
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${perl:Depends},
	trnascan-se-common (= ${source:Version})
Suggests:
	infernal (>= 1.0)
Description: detection of transfer RNA genes in genomic sequence
 tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
 giving less than one false positive per 15 gigabases. Two previously described
 tRNA detection programs are used as fast, first-pass prefilters to identify
 candidate tRNAs, which are then analyzed by a highly selective tRNA covariance
 model. This work represents a practical application of RNA covariance models,
 which are general, probabilistic secondary structure profiles based on
 stochastic context-free grammars. tRNAscan-SE searches at ~ 30 000 bp/s.
 Additional extensions to tRNAscan-SE detect unusual tRNA homologues such as
 selenocysteine tRNAs, tRNA-derived repetitive elements and tRNA pseudogenes.

Package: trnascan-se-common
Architecture: all
Depends:
	${misc:Depends},
	${perl:Depends}
Description: detection of transfer RNA genes in genomic sequence (common files)
 tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
 giving less than one false positive per 15 gigabases. Two previously described
 tRNA detection programs are used as fast, first-pass prefilters to identify
 candidate tRNAs, which are then analyzed by a highly selective tRNA covariance
 model. This work represents a practical application of RNA covariance models,
 which are general, probabilistic secondary structure profiles based on
 stochastic context-free grammars. tRNAscan-SE searches at ~ 30 000 bp/s.
 Additional extensions to tRNAscan-SE detect unusual tRNA homologues such as
 selenocysteine tRNAs, tRNA-derived repetitive elements and tRNA pseudogenes.
 .
 This package contains the architecture-independent common files.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

CFLAGS := $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs Release.history

=== debian/tests/control ===
Test-Command: make testrun
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=3

http://lowelab.ucsc.edu/software/tRNAscan-SE-(.*)\.tar\.gz

## trnascan-se 2.0.0

=== debian/changelog ===
trnascan-se (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.2.0
  * d/copyright: Add Disclaimer and link to attempt to free the code

 -- Andreas Tille <tille@debian.org>  Tue, 21 Aug 2018 09:29:10 +0200

trnascan-se (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Check existence of files before calling chmod on them to fix arch indep
    builds
    Closes: #904444
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Clean up properly
  * Fix paths in d/copyright
  * hardening=+all
  * Prevent parallel build

 -- Andreas Tille <tille@debian.org>  Sun, 05 Aug 2018 02:22:58 +0200

trnascan-se (2.0.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness
  * upstream/metadata RRID->SciCrunch

  [ Afif Elghraoui ]
  * debian/watch: update to new URL
  * New upstream version
  * Standards-Version 4.1.3
  * debhelper compat 11
  * d/rules: clean up and remove dh_installchangelogs
  * Overhaul packaging for new build system
  * d/copyright: license change (GPL 2+ -> 3+); updated copyright years
  * install examples
  * Add dependency on infernal
  * Update autopkgtest

 -- Afif Elghraoui <afif@debian.org>  Sat, 24 Feb 2018 22:18:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: trnascan-se
-Section: non-free/science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Section: non-free/science
+XS-Autobuild: no
+Priority: optional
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
+Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
-Vcs-Git: https://anonscm.debian.org/git/debian-med/trnascan-se.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/trnascan-se.git
 
 Package: trnascan-se
 Architecture: any
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	${perl:Depends},
-	trnascan-se-common (= ${source:Version})
-Suggests:
-	infernal (>= 1.0)
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${perl:Depends},
+         trnascan-se-common (= ${source:Version}),
+         infernal
 Description: detection of transfer RNA genes in genomic sequence
  tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
  giving less than one false positive per 15 gigabases. Two previously described
@@ -31,9 +30,8 @@
 
 Package: trnascan-se-common
 Architecture: all
-Depends:
-	${misc:Depends},
-	${perl:Depends}
+Depends: ${misc:Depends},
+         ${perl:Depends}
 Description: detection of transfer RNA genes in genomic sequence (common files)
  tRNAscan-SE identifies 99-100% of transfer RNA genes in DNA sequence while
  giving less than one false positive per 15 gigabases. Two previously described

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --no-parallel

# tRNAscan can't handle compressed fasta files
override_dh_compress:
	dh_compress -X .fa

=== debian/watch ===
version=4

opts="uversionmangle=s/rc/~rc/i" \
http://trna.ucsc.edu/software/trnascan-se-(.*)\.tar\.gz

## trnascan-se 2.0.3

=== debian/changelog ===
trnascan-se (2.0.3-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Upstream agreed to GPL the code here:
     https://lists.debian.org/debian-med/2018/09/msg00067.html

  [ Jeremy Bicha ]
  * Build-Depend on infernal to block the package being built on
    architectures where it's not available

  [ Steffen Moeller ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Tue, 25 Sep 2018 07:38:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: non-free/science
 XS-Autobuild: no
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12),
+               infernal
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE

## trnascan-se 2.0.5

=== debian/changelog ===
trnascan-se (2.0.5-1) unstable; urgency=medium

  * Team upload.

  * Added a few autogenerated files to be excluded for
    d/copyright.
  * d/control:
    - Changed XS-Autobuild to: yes
    - Standards-Version: 4.4.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 23:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: non-free/science
-XS-Autobuild: no
+XS-Autobuild: yes
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                infernal
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE

=== debian/tests/control ===
Tests: rules
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="uversionmangle=s/rc/~rc/i,repack,compression=gz" \
http://trna.ucsc.edu/software/trnascan-se-(.*)\.tar\.gz

## trnascan-se 2.0.7+ds

=== debian/changelog ===
trnascan-se (2.0.7+ds-1) unstable; urgency=medium

  * New upstream version.
  * Fixed typo in tRNAscan-SE.1.
  * Added configure_debugging.patch and build dependency to autoconf-archive to
    allow the propagation of CFLAGS.
  * Replaced Afif Elghraoui as Uploader since he is not active anymore.
    Thanks for having built and maintained this package!

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 04 Nov 2020 22:22:54 +0100

trnascan-se (2.0.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 25 Sep 2020 00:17:32 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: trnascan-se
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Étienne Mollier <etienne.mollier@mailoo.org>
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               autoconf-archive,
                infernal
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
+Rules-Requires-Root: no
 
 Package: trnascan-se
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 %:
 	dh $@ --no-parallel
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-debugging
+
 # tRNAscan can't handle compressed fasta files
 override_dh_compress:
 	dh_compress -X .fa
+
+override_dh_missing:
+	rm -rf debian/*/usr/include
+	dh_missing

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=gz" \
http://trna.ucsc.edu/software/trnascan-se-(.*)\.tar\.gz

## trnascan-se 2.0.9+ds

=== debian/changelog ===
trnascan-se (2.0.9+ds-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * New upstream version 2.0.9+ds
  * Declare compliance with policy 4.5.1
  * Update manpages

  [ Étienne Mollier ]
  * d/control: update uploader address

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:03:59 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: trnascan-se
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Étienne Mollier <etienne.mollier@mailoo.org>
+Uploaders: Étienne Mollier <emollier@debian.org>
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                infernal
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE

## trnascan-se 2.0.10+ds

=== debian/changelog ===
trnascan-se (2.0.10+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 21:44:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                infernal
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE

## trnascan-se 2.0.12%2Bds

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                infernal
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
 Homepage: http://lowelab.ucsc.edu/tRNAscan-SE

## trnascan-se 2.0.12+ds

=== debian/changelog ===
trnascan-se (2.0.12+ds-2) unstable; urgency=medium

  * Team upload.
  * d/rules: force std=gnu11
    Closes: #1114419
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Mon, 08 Dec 2025 19:05:06 +0100

trnascan-se (2.0.12+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Jul 2023 15:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                autoconf-archive,
                infernal
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/trnascan-se
 Vcs-Git: https://salsa.debian.org/med-team/trnascan-se.git
-Homepage: http://lowelab.ucsc.edu/tRNAscan-SE
+Homepage: https://lowelab.ucsc.edu/tRNAscan-SE
 Rules-Requires-Root: no
 
 Package: trnascan-se

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export DEB_CFLAGS_MAINT_APPEND=-std=gnu11
 
 %:
 	dh $@ --no-parallel

=== debian/watch ===
Version: 5

Source: http://trna.ucsc.edu/software/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Repack-Suffix: +ds
Dversion-Mangle: auto
